Bug 104177 - No 'Protect Document' Menu
Summary: No 'Protect Document' Menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta1
Hardware: All All
: medium trivial
Assignee: Gabor Kelemen
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-26 01:47 UTC by himajin100000
Modified: 2016-12-01 14:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description himajin100000 2016-11-26 01:47:22 UTC
Description:
https://github.com/LibreOffice/core/blob/dcc92a7cb5aa1faa711c8da7f7d8ecee0a192c25/sc/uiconfig/scalc/ui/cellprotectionpage.ui#L101

this says 
Select 'Protect Document' from the 'Tools' menu, and specify 'Sheet'
but the only protection menu items I can see are 'Protect Sheet' and 'Protect Spreadsheet'

https://github.com/LibreOffice/core/blob/6f7016a9dfc617d668ad582a112a3d2e103bcdd6/sc/uiconfig/scalc/menubar/menubar.xml#L682

https://github.com/LibreOffice/core/blob/6d4dd15ee2fa3206988c0facbf47c1a9ab527f30/officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu#L1484

https://github.com/LibreOffice/core/blob/6d4dd15ee2fa3206988c0facbf47c1a9ab527f30/officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu#L1476

where has the following menu gone?

https://github.com/LibreOffice/core/blob/6d4dd15ee2fa3206988c0facbf47c1a9ab527f30/officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu#L2055

Steps to Reproduce:
1. Select any cells.
2. Right Click
3. Select 'Format Cells'
4. Click 'Cell Protection' Tab
5. Read the explanation on the right side.
6. Close the dialog.
7. see 'Tools' Menu and try to find the 'Protect Document', as given in the explanation.

Actual Results:  
no 'Protect Document' as given in the explanation.

Expected Results:
the explanation should point to 'Protect Spreadsheet'.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 Gabor Kelemen 2016-11-29 09:11:30 UTC
This problem affects only the Calc UI as the documentation was recently updated in bug #103244.
Comment 2 Commit Notification 2016-11-30 21:19:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c4bb8d799e7ae27648a575872e521d62f6e53ac

tdf#104177 Modify helper label to reflect menu changes

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-12-01 00:45:16 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2f495ea0fb69031cd1b394176e0a91191b594d8&h=libreoffice-5-3

tdf#104177 Modify helper label to reflect menu changes

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.